# TreeRespawn

  * Causes a new sapling to grow when a tree stump is removed.
  * This is a re-upload of aedenthorn's ClockMod from NexusMods with the fixes for latest version.

  * This mod works with beech, fir, and pine trees (as those are the only ones I know that have actual saplings). It causes a sapling to grow when a stump of any of those three trees is destroyed.

  * Be careful, because the new sapling is delicate. By default there is now a delay of 2.5 seconds (configurable) before the spawn occurs.

  * This mod is now compatible with Planting Plus (https://www.nexusmods.com/valheim/mods/274) and Plant All Trees (https://www.nexusmods.com/valheim/mods/340), allowing respawn of Oak, Birch, and Swamp trees.
  
  * On Youtube: https://youtu.be/yUjdOHjadbo

### Config

  * A config file BepInEx/config/aedenthorn.TreeRespawn.cfg is created after running the game once with this mod).

  * You can adjust the config values by editing this file using a text editor or in-game using the Config Manager﻿ (https://www.nexusmods.com/valheim/mods/740).

  * To reload the config from the config file, type plantmod reset into the game's console (F5).

### Technical

  * To install, place the zip file contents in the BepInEx/plugins folder. You will need BepInEx.

  * Code is at https://github.com/aedenthorn/ValheimMods.

  * ﻿﻿If you want to complain or ask for help or help me test my mods, you can visit my Discord server﻿: https://discord.gg/bs6zHuj

  * Click here for a list of all my mods for Valheim: https://www.nexusmods.com/valheim/articles/104

### Thunderstore (manual)

  * Go to Settings > Import local mod > Select `AedenthornModding-TreeRespawn-0.8.0.zip`.
  * Click "OK/Import local mod" on the pop-up for information.


## Changelog


### 0.8.0
 * Added Oak and Birch saplings
### 0.7.0
 * Compatibility with Plant Everything
### 0.6.0
 * Compatible with both Planting Plus and Plant All Trees
### 0.5.0
 * Added compatibility with Planting Plus
### 0.4.0
 * Fixed not spawning, new delay variable
### 0.2.0
 * dded 2s delay